Bug 830750 - Review Request: jbosgi-resolver1 - Standalone OSGi Resolver
Review Request: jbosgi-resolver1 - Standalone OSGi Resolver
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Satya Komaragiri
Fedora Extras Quality Assurance
:
Depends On: 829329 829402 830125 830711
Blocks: 830763
  Show dependency treegraph
 
Reported: 2012-06-11 06:42 EDT by Marek Goldmann
Modified: 2012-07-05 19:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-05 19:41:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mizdebsk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2012-06-11 06:42:23 EDT
Spec URL: http://goldmann.fedorapeople.org/package_review/jbosgi-resolver/1.0.13-1/jbosgi-resolver.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jbosgi-resolver/1.0.13-1/jbosgi-resolver-1.0.13-1.fc17.src.rpm
Description: This package contains the JBoss OSGi Virtual File System
Fedora Account System Username: goldmann

Note for reviewer: there is a newer version available, but it's a major upgrade to what AS7 expects. Will be updated once AS7 move to newer version.
Comment 3 Marek Goldmann 2012-06-25 05:39:37 EDT
Satya, any news on review?
Comment 4 Satya Komaragiri 2012-06-25 23:13:35 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[-]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint jbosgi-resolver1-1.0.13-2.fc18.src.rpm

jbosgi-resolver1.src: I: enchant-dictionary-not-found en_US
jbosgi-resolver1.src: W: invalid-url Source0: jbosgi-resolver-1.0.13.Final.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint jbosgi-resolver1-javadoc-1.0.13-2.fc18.noarch.rpm

jbosgi-resolver1-javadoc.noarch: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint jbosgi-resolver1-1.0.13-2.fc18.noarch.rpm

jbosgi-resolver1.noarch: I: enchant-dictionary-not-found en_US
jbosgi-resolver1.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

These warnings can be ignored.

[-]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
Package has no sources or they are generated by developer
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[?]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[!]: SHOULD Latest version is packaged.
The reason for this has been explained in the review request. Ignoring.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0: jbosgi-resolver-%{namedversion}.tar.xz (jbosgi-
     resolver-%{namedversion}.tar.xz) Patch0: 0001-Disable-itests-module.patch
     (0001-Disable-itests-module.patch)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Issues:
[!]: MUST Rpmlint output is silent.
The warnings can be ignored.

[!]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.

[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0: jbosgi-resolver-%{namedversion}.tar.xz (jbosgi-
     resolver-%{namedversion}.tar.xz) Patch0: 0001-Disable-itests-module.patch
     (0001-Disable-itests-module.patch)

Please add the comment or link to the bug and rename the patch. Once done,
I'll approve the package.
Comment 5 Marek Goldmann 2012-06-26 02:51:23 EDT
Thanks for review!

I added the comment above patch, but I haven't changed the patch names. There are a few reasons for it:

1. These names are generated by default by git.
2. Names like I have make it easy to understand the proper order when looking at directory.
3. Adding package name to the file name makes it reduntant, since all files are in a 'jbosgi-resolver1' repository.

Hope this makes sense!

Spec URL: http://goldmann.fedorapeople.org/package_review/jbosgi-resolver1/1.0.13-3/jbosgi-resolver1.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jbosgi-resolver1/1.0.13-3/jbosgi-resolver1-1.0.13-3.fc17.src.rpm
Comment 6 Mikolaj Izdebski 2012-06-26 03:38:14 EDT
It looks like Satya Komaragiri has inactive Fedora account.

<mavu> yikes! it seems i have been inactive for so long, they have revoked the access, could anyone take this and approve?

I have checked the review myself and I am approving this package upon agreement with the first reviewer.

**************
** APPROVED **
**************
Comment 7 Marek Goldmann 2012-06-26 03:42:32 EDT
Thank you!

New Package SCM Request
=======================
Package Name: jbosgi-resolver1
Short Description: Standalone OSGi Resolver
Owners: goldmann
Branches: f17
Comment 8 Gwyn Ciesla 2012-06-26 11:04:50 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-06-27 02:28:28 EDT
jbosgi-resolver1-1.0.13-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jbosgi-resolver1-1.0.13-3.fc17
Comment 10 Fedora Update System 2012-06-27 23:42:03 EDT
jbosgi-resolver1-1.0.13-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-07-05 19:41:23 EDT
jbosgi-resolver1-1.0.13-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.